# $Revision: 1.22 $, $Date: 2002/03/30 15:15:40 $
Summary:	Converts plain ASCII to PostScript
Summary(es):	Convierte texto ASCII a postscript
Summary(pl):	Konwertuje czyste ASCII do PostScriptu
Summary(pt_BR):	Converte texto ASCII para postscript
Name:		enscript
Version:	1.6.2
Release:	3
License:	GPL
Group:		Applications/Publishing
Source0:	ftp://alpha.gnu.org/pub/gnu/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-am_fixes.patch
Patch2:		%{name}-mail.patch
Patch3:		%{name}-debian.patch
Patch4:		%{name}-ac25x.patch
URL:		http://www.iki.fi/~mtr/genscript/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	nenscript

%description
Enscript is a print filter. It can take ASCII input and format it into
PostScript output. At the same time, it can also do nice
transformations like putting two ASCII pages on one physical page
(side by side) or changing fonts.

%description -l es
Convierte texto ASCII a postscript.

%description -l pl
Enscript jest filtrem wykorzystywanym przy drukowaniu. Na wejciu
przyjmuje dane ASCII i konwertuje je na PostScript. Potrafi
rwnoczenie dokona pewnych uytecznych przeksztace, jak np.
umieszczenie dwch stron ASCII na jednej stronie fizycznej (obok
siebie) czy zmiana czcionki.

%description -l pt_BR
O enscript  um filtro de impresso. Ele pega texto ascii e o formata
em postscript. Alm disto, ele pode tambm fazer vrias
transformaes, como por exemplo colocar duas pginas ascii em uma
pgina fsica (lado a lado) ou modificar as fontes do texto.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -rf missing
gettextize --copy --force
aclocal
autoheader
autoconf
automake -a -c -f
%configure \
	--with-media=A4 \
	--sysconfdir=%{_sysconfdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

ln -sf enscript $RPM_BUILD_ROOT%{_bindir}/nenscript

gzip -9nf AUTHORS ChangeLog NEWS README README.ESCAPES THANKS TODO

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz FAQ.html
%config(noreplace) %{_sysconfdir}/enscript.cfg
%attr(755,root,root) %{_bindir}/diffpp
%attr(755,root,root) %{_bindir}/sliceprint
%attr(755,root,root) %{_bindir}/enscript
%attr(755,root,root) %{_bindir}/nenscript
%attr(755,root,root) %{_bindir}/mkafmmap
%attr(755,root,root) %{_bindir}/states
%attr(755,root,root) %{_bindir}/over
%{_datadir}/enscript
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: enscript.spec,v $
Revision 1.22  2002/03/30 15:15:40  qboosh
- fixed debian patch: now it adds lower case media names without removing
  upper case ones - enscript with default media works again
- release 3

Revision 1.21  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/03/20 21:20:50  qboosh
- ac-25x patch (needed for 2.53, should be OK for 2.5[0-2])
- release 2

Revision 1.19  2002/03/20 16:59:05  kloczek
- updatd to 1.6.2 (security fix),
- removed config patch and added some fixes from Debian.

Revision 1.18  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/13 22:23:59  kloczek
- release 15,
- added {ac,am}_fixes patches,
- merge translations from Conectiva,
- some other minor changes.

Revision 1.14  2001/12/12 21:58:43  blues
- ac fix added
- URL updated
- automake call added
NOTE: does not build

Revision 1.13  2001/11/27 09:58:51  qboosh
- marked pl description as pl; release 9

Revision 1.12  2001/11/26 15:47:52  qboosh
- adapterized

Revision 1.11  2001/10/07 17:15:27  qboosh
- BuildRequires: autoconf, automake, gettext-devel
- removed gzipping man - let rpm do

Revision 1.10  2001/10/07 14:12:06  blues
- ac/am works
- pl summary added

Revision 1.9  2001/08/22 17:24:21  filon
- removed stripping executables, it's done by rpm automation

Revision 1.8  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 19:19:33  kloczek
- spec adapterized.

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:09:33  arturs
- added %description -l pl

Revision 1.2  1999/11/02 13:26:45  baggins
- cleanup
- macros
- gziping docs
- striping binaries

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
